#!/usr/bin/env perl

# Copyright (C) 2005  Joshua Hoblitt
#
# $Id: 03_psftp.t,v 1.2 2005-10-11 00:09:13 jhoblitt Exp $

use strict;
use warnings;

use lib qw( ./lib ./t );

use Test::More tests => 3;

use PS::IPP::PSFTP;

{
    my $psftp = PS::IPP::PSFTP->new(
        base_url    => 'http://example.com',
        recipient   => 'ipp',
    );
    isa_ok($psftp, 'PS::IPP::PSFTP');
}

eval {
    my $psftp = PS::IPP::PSFTP->new(
        base_url    => 'http://example.com',
    );
};
like($@, qr/Mandatory parameter 'recipient' missing/, "no recipient param");

eval {
    my $psftp = PS::IPP::PSFTP->new(
        recipient   => 'ipp',
    );
};
like($@, qr/Mandatory parameter 'base_url' missing/, "no recipient param");
